# class Byebug::RemoteInterface

Interface class for remote use of byebug.

### Public Class Methods

new(socket) click to toggle source
Calls superclass method Byebug::Interface.new

    # File lib/byebug/interfaces/remote_interface.rb, line 8
    def initialize(socket)
      super()
      @input, @output, @error = socket, socket, socket
    end

### Public Instance Methods

close() click to toggle source

    # File lib/byebug/interfaces/remote_interface.rb, line 21
    def close
      output.close
    rescue IOError
      errmsg('Error closing the interface...')
    end

confirm(prompt) click to toggle source
Calls superclass method Byebug::Interface#confirm

    # File lib/byebug/interfaces/remote_interface.rb, line 17
    def confirm(prompt)
      super("CONFIRM #{prompt}")
    end

read_command(prompt) click to toggle source
Calls superclass method Byebug::Interface#read_command

    # File lib/byebug/interfaces/remote_interface.rb, line 13
    def read_command(prompt)
      super("PROMPT #{prompt}")
    end

readline(prompt) click to toggle source

    # File lib/byebug/interfaces/remote_interface.rb, line 27
    def readline(prompt)
      output.puts(prompt)

      result = input.gets
      fail IOError unless result

      result.chomp
    end